AUTOSUPPORT(8)

NAME
autosupport — interactive script to provide Digium[tm]'s support with information

SYNOPSIS

autosupport [-h] [prefix]

DESCRIPTION
autosupport is a script that is normally run by a user contacting Digium's Technical Support to automate gathering support information. It will probe the system for some run-time and system information, and generate a backup of Asterisk related configuration. An optional parameter for a prefix may be specified which is typically used to specify a Digium Technical Support Ticket ID.

The script requires root privileges to run, and writes all output in the home directory of the user running the script. For the purposes of this document, this will be referred to as /root/ henceforth.

The system information is written to /root/digiuminfo.txt and the backup of configuration (and the system information file) are written to a tarball in /root/ with a base name of digium-info. A Date Stamp will be appended, and if specified the optional parameter will be a prefix. The tarball at least is expected to be attached to a support ticket with Digium.

OPTIONS

  Arguments:

prefix
    Used to prefix the file names. Typically a Digium Technical Support Ticket ID

  Options:

-h, --help
    Show help about options

FILES
/root/digiuminfo.txt
/root/digium-info_YYYYMMDD.tar.gz

SEE ALSO
asterisk(8)

AUTHOR
autosupport was written by John Bigelow <support@digium.com> in conjunction with Charles Moye and Trey Blancher. This manual page was written by Tzafrir Cohen <tzafrir.cohen@xorcom.com> and updated by Charles Moye. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL-2.